// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the IV1VD_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// IV1VD_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef IV1VD_EXPORTS
#define IV1VD_API __declspec(dllexport)
#else
#define IV1VD_API __declspec(dllimport)
#endif


// this bit is defined to be zero so check for the return from
// the read functions to deterrmine if the USB is connected
#define ReadV1Error 0x00000002

// blocks until a value is set or timeout passes, 
// and returns with status -1 if the device is not yet ready
IV1VD_API INT32 ReadV1(UINT32 timeout);

// blocks until a value is set or timeout passes
// and returns with status -1 if the device is still not ready
// after waiting the specified time in milliseconds.
// useful for throttling threads that are reading
IV1VD_API INT32 WaitReadV1(UINT32 readTimeout, INT32 wait);

//sets the mute button
IV1VD_API INT32 MuteV1(INT32 mute);

// Set the com port to communicate with.  Use 0 for V1Virtual usb
// or to the number of the com port you have the V1 connected
// to (e.g. 3 for COM3). Supports values up to 255
// This writes to the registry the value entered.
// If this is not called, it loads the default from the registry, 
// which defaults to V1Virtual.
IV1VD_API INT32 SetComPortV1(INT32 port);


#define LOG_PLAYBACK_ALREADY_STARTED 1
#define LOG_PLAYBACK_INVALID_FILENAME 2
#define LOG_PLAYBACK_EXIST_FAIL 3
// instead of playing back live data, playback a previously recorded
// log file.  The max change time is the maximum wait (in milliseconds) between successive
// changes in the log, set this to 0 to get the actual times.  Any value
// less than 100 will default to 0.
// Returns 0 on success, or one of the above errors on failure
IV1VD_API INT32 PlaybackLogV1(const char* logfile, UINT32 maxChangeTime);

// Returns non zero if the dll is currently playing back a log file.
IV1VD_API INT32 InPlaybackLogV1();

// Halts the playback of a log, and resumes normal operation.
IV1VD_API INT32 StopLogPlaybackV1();
